Page 2 of 2 FirstFirst 12
Results 11 to 13 of 13

Thread: XML parser?

  1. #11
    Senior Member
    Join Date
    Mar 2004
    Location
    California
    Posts
    724

    Default

    Quote Originally Posted by salmon View Post
    In cpanel 58, it says "Cannot instantiate non-existent class: xmlreader in /home/talesofm/public_html..."

    how can I over come this problem?
    Andrew is probably right, but there is one other thing that applies. PHP 5 has some enhanced xml handling that isn't in the earlier versions, so check to see if your script requires PHP 5. By default, all servers run PHP 4.x even if PHP 5 is available (I think it is on all servers now). If your script requires PHP 5, see http://forums.dathorn.com/showthread.php?t=2385 for a way to enable it.

  2. #12
    Administrator AndrewT's Avatar
    Join Date
    Mar 2004
    Location
    Tulsa, OK
    Posts
    3,634

    Default

    Just quickly took a look at the php.net website and it looks like your script is trying to use this:

    http://www.php.net/manual/en/ref.xmlreader.php

    Which requires PHP 5. Just follow the link that Frank provided above to setup your domain to use PHP 5.

  3. #13
    Junior Member
    Join Date
    Nov 2006
    Posts
    3

    Default

    I discovered and fixed the problem. Wordpress script automatically turns PHP version to 4.4.8; I added prompt to use php 5 to htaccess and the problem has been disappeared.

    Thank you for your interest

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •